Bug 238348 - Review Request: xfce4-verve-plugin - A comfortable command line plugin for the Xfce panel
Review Request: xfce4-verve-plugin - A comfortable command line plugin for th...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-29 14:03 EDT by Christoph Wickert
Modified: 2014-09-21 18:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 17:23:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2007-04-29 14:03:06 EDT
Spec URL: 
http://home.arcor.de/christoph.wickert/fedora/extras/review/SPECS/xfce4-verve-plugin.spec
SRPM URL: 
http://home.arcor.de/christoph.wickert/fedora/extras/review/SRPMS/xfce4-verve-plugin-0.3.5-2.fc7.src.rpm
Description:
This plugin is like the (quite old) xfce4-minicmd-plugin, except that it ships 
more cool features, such as:
* Command history
* Auto-completion (including command history)
* Open URLs and eMail addresses in your favourite applications
* Focus grabbing via D-BUS (so you can bind a shortcut to it)
* Custom input field width

Note:
I'm thinking about orphaning xfce4-minicmd-plugin after this package has been added to the repo.
Comment 1 Kevin Fenzi 2007-05-12 18:49:57 EDT
I'd be happy to review this package. Look for a full review in a few. 
Comment 2 Kevin Fenzi 2007-05-12 19:36:30 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
85701b960da6bb10762b460c23b84c15  verve-plugin-0.3.5.tar.bz2
85701b960da6bb10762b460c23b84c15  verve-plugin-0.3.5.tar.bz2.1
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Should the "Requires:       xfce4-panel >= 4.4.0" be 4.4.1, since
we know that in fc6/devel/f7 at least it will be built against 4.4.1,
so perhaps it should require at least that version? No big deal, since
4.4.0 and 4.4.1 should be pretty much the same for xfce4-panel-devel, but
just thought I would mention it. Not a blocker.

As hard as I may try I can't see anything blocking this package. ;)

This package is APPROVED.
Don't forget to close this review request once it's been imported and built
Comment 3 Christoph Wickert 2007-05-13 07:02:57 EDT
> 1. Should the "Requires:       xfce4-panel >= 4.4.0" be 4.4.1, since
> we know that in fc6/devel/f7 at least it will be built against 4.4.1,
> so perhaps it should require at least that version?

I usually tend to require one version below the one in the repo (if possible),
to avoid yum from running when it can't find when the latest version (e. g.
because mirrors are not in sync). But I can change it to 4.4.1, the required
packages are in the repo for quite a while.

New Package CVS Request
=======================
Package Name: xfce4-verve-plugin
Short Description: A comfortable command line plugin for the Xfce panel
Owners: fedora@christoph-wickert.de
Branches: FC-6
InitialCC: kevin@tummy.com
Comment 4 Mukundan Ragavan 2014-09-21 17:56:33 EDT
Package Change Request
======================
Package Name: xfce4-verve-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 5 Jon Ciesla 2014-09-21 18:07:58 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.